# QCA::DHPrivateKey Class Reference
[QCA user API]

Diffie-Hellman Private Key. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::DHPrivateKey:

Collaboration diagram for QCA::DHPrivateKey:

[legend]

List of all members.

## Public Member Functions

| DHPrivateKey (const DLGroup &domain, const BigInteger &y, const BigInteger &x, const QString &provider=QString())
| DHPrivateKey ()
DLGroup | domain () const
BigInteger | x () const
BigInteger | y () const

## Detailed Description

Diffie-Hellman Private Key.

## Constructor & Destructor Documentation

QCA::DHPrivateKey::DHPrivateKey | ( |  | ) |

Create an empty Diffie-Hellman private key.

QCA::DHPrivateKey::DHPrivateKey | ( | const DLGroup & | domain,
|  | const BigInteger & | y,
|  | const BigInteger & | x,
|  | const QString & | provider = `QString()` |
| ) |  |  |

Create a Diffie-Hellman private key.

Parameters:

  | domain | the discrete logarithm group to use
  | y | the public random value
  | x | the private random value
  | provider | the provider to use, if a particular provider is required

## Member Function Documentation

DLGroup QCA::DHPrivateKey::domain | ( |  | ) | const

The discrete logarithm group that is being used.

BigInteger QCA::DHPrivateKey::x | ( |  | ) | const

The private random value associated with this key.

BigInteger QCA::DHPrivateKey::y | ( |  | ) | const

The public random value associated with this key.

The documentation for this class was generated from the following file:

- qca_publickey.h